Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Interface ProviderXtra2

All Known Implementing Classes:
  DefaultProvider

public interface ProviderXtra2
extends ProviderXtra

First Extension to the Provider interface. This interface represents an extension to the Provider interface. An extension interface was used to code using the original interface would not be broken by adding new methods.

Method Summary
`int` | `getDebugLevel()` Returns the current debug level.
`ProviderLog` | `getProviderLog()` Returns the ProviderLog associated with this provider
`boolean` | `isDebugEnabled()` Returns true if debug mode is enabled.
`boolean` | `isReloadRequired(int action)` Used to determine if this provider needs to be re-initialized from the provider.xml file.

Methods inherited from interface oracle.portal.provider.v1.ProviderXtra
`getContainerRenderer, setContainerRenderer, setContainerRenderer`

Methods inherited from interface oracle.portal.provider.v1.Provider
`deregister, getPortlet, getPortlets, getProviderId, getProviderRepositoryPath, getSubscriber, getVersion, init, initSession, initSession, log, log, register`

Method Detail

### isReloadRequired

    public boolean isReloadRequired(int action)

  Used to determine if this provider needs to be re-initialized from the provider.xml file.

  The mechanism used should work when providers are load-balanced. This means it cannot be drived by communication from the portal such as a repository refresh (as it used to be) because only one server will receive the refresh request and reloaded the definition. This leads to the servers being out of sync.

  The simplest way to do this is to trigger reload (or at least a modification check) on a time interval.

  This feature requires auto-reload to be enabled.
  Parameters:
    `action` - not currently used

### getProviderLog

    public ProviderLog getProviderLog()

  Returns the ProviderLog associated with this provider
  Returns:
    the ProviderLog associated with this provider

### isDebugEnabled

    public boolean isDebugEnabled()

  Returns true if debug mode is enabled. Debug mode enabled is determined by the Debug Level being greater than zero

### getDebugLevel

    public int getDebugLevel()

  Returns the current debug level.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD